unit Uico2bmp;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Buttons;

type
  Ticon2bmo = class(TForm)
    Image1: TImage;
    Button1: TButton;
    Edit1: TEdit;
    SpeedButton1: TSpeedButton;
    OpenDialog1: TOpenDialog;
    CheckBox1: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
    procedure drawimage;
  end;

var
  icon2bmo: Ticon2bmo;

implementation

{$R *.DFM}

procedure Ticon2bmo.Button1Click(Sender: TObject);
var  s : string;
begin
IF LENGTH(edit1.text) = 0 THEN EXIT;
 s:= copy(edit1.text,1,pos('.ICO',edit1.text)) + 'BMP';
 IF FILEEXISTS(S) THEN
  BEGIN
  IF MESSAGEBOX(HANDLE,'FILE EXIST, OVERWRITE?','SAVE TO BITMAP', MB_OKCANCEL +MB_ICONQUESTION) = IDOK tHEN
    image1.picture.savetofile(s);
  END
 ELSE
   image1.picture.savetofile(s);
 showmessage(Edit1.text + ' Saved to ' + s);
end;

procedure Ticon2bmo.drawimage;
var t: Ticon;
re : trect;
begin
 image1.canvas.brush.style := bsSolid;
 image1.canvas.fillrect(image1.canvas.cliprect);
  edit1.text := opendialog1.filename;
  T := ticon.create;
  T. loadfromfile(edit1.text);
  image1.width := t.width;
  Image1.height := t.height;
  Image1.canvas.draw(0,0,t);
if CheckBox1.checked then
 begin
   re :=rect(0,0,image1.width,image1.height);
   frame3d(image1.Canvas,re,clBtnHighlight,clBtnShadow,2);
 end;
  T.free;
end;

procedure Ticon2bmo.SpeedButton1Click(Sender: TObject);
begin
if opendialog1.execute then
 drawimage;
end;

procedure Ticon2bmo.CheckBox1Click(Sender: TObject);
begin
if length(edit1.text) > 0 then
  drawimage;
end;

end.
